#ifndef CUSTOMCALENDARWIDGET_H
#define CUSTOMCALENDARWIDGET_H

#include <QtWidgets/QCalendarWidget>

class CustomCalendarWidget : public QCalendarWidget
{
    Q_OBJECT

public:
    CustomCalendarWidget(QWidget *parent = 0);
    ~CustomCalendarWidget();

private:
    void initialize();

protected:
    //virtual void paintEvent(QPaintEvent *event);
    virtual void paintCell(QPainter *painter, const QRect &rect, QDate date) const;
};

#endif
